Method: projects.locations.aclPolicies.delete

刪除特定 ACL 政策。這項操作會刪除 ACL 政策和所有相關聯的規則。如果 ACL 政策已附加至叢集,就無法刪除。

HTTP 要求

DELETE https://redis.googleapis.com/v1beta1/{name=projects/*/locations/*/aclPolicies/*}

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
name

string

這是必要旗標,Redis ACL 政策資源名稱,格式為:projects/{projectId}/locations/{locationId}/aclPolicies/{aclPolicyId},其中 locationId 是指 Google Cloud 區域。

查詢參數

參數
requestId

string

選用。冪等要求 UUID。

etag

string

選用。ACL 政策的 Etag。如果與伺服器的 etag 不同,要求就會失敗並出現 ABORTED 錯誤。

要求主體

要求主體必須為空白。

回應主體

如果成功,回應主體會包含 Operation 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

詳情請參閱Authentication Overview。